Public Member Functions | List of all members
clan::StylePropertySetter Class Referenceabstract

Interface used by style parsers to store values in a style property set. More...

`#include <style_property_parser.h>`

## Public Member Functions
virtual | ~StylePropertySetter ()
virtual void | set_value (const std::string &name, const StyleSetValue &value)=0
| Set the value for the specified property name. More...
virtual void | set_value_array (const std::string &name, const std::vector< StyleSetValue > &value_array)=0
| Set a value array for the specified property name. More...

## Detailed Description

Interface used by style parsers to store values in a style property set.

## Constructor & Destructor Documentation

virtual clan::StylePropertySetter::~StylePropertySetter | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void clan::StylePropertySetter::set_value | ( | const std::string & | name,
|  | const StyleSetValue & | value
| ) |  |
| pure virtual

Set the value for the specified property name.

virtual void clan::StylePropertySetter::set_value_array | ( | const std::string & | name,
|  | const std::vector< StyleSetValue > & | value_array
| ) |  |
| pure virtual

Set a value array for the specified property name.

The documentation for this class was generated from the following file:

- style_property_parser.h